package examples.guestbook;

import freemarker.template.*;
import java.util.*;

public class GuestbookIterator implements TemplateIteratorModel {

    private final Iterator<GuestbookEntry> iterator;

    public GuestbookIterator(Iterator<GuestbookEntry> iterator) {
        this.iterator = iterator;
    }

    public boolean isEmpty() throws TemplateModelException {
        return false;
    }

    public boolean hasNext() throws TemplateModelException {
        return iterator.hasNext();
    }

    public TemplateModel next() throws TemplateModelException {
        if (iterator.hasNext()) {
            return new GuestbookEntryTM(iterator.next());
        } else {
            throw new TemplateModelException("No more elements.");
        }
    }
}

