package examples.guestbook;

import freemarker.template.*;
import java.util.*;

public class GuestbookTM implements TemplateListModel2, TemplateIndexedModel {

    private final List<GuestbookEntry> entries;

    public GuestbookTM(Guestbook book) {
        this.entries = book.getList();
    }

    public boolean isEmpty() throws TemplateModelException {
        return entries.isEmpty();
    }

    public TemplateIteratorModel templateIterator() throws TemplateModelException {
        return new GuestbookIterator( entries.iterator() );
    }

    public void releaseIterator(TemplateIteratorModel iterator) {
    }

    public TemplateModel getAtIndex(long i) throws TemplateModelException {
        if ((i >= 0) && (i < entries.size())) {
            return new GuestbookEntryTM(entries.get((int)i));
        } else {
            throw new TemplateModelException("Index out of range.");
        }
    }
}

