/*
 * FreeMarker: a tool that allows Java programs to generate HTML
 * output using templates.
 * Copyright (C) 1998-2004 Benjamin Geer
 * Email: beroul@users.sourceforge.net
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA  02111-1307, USA.
 */

package freemarker.testcase.models;

import freemarker.template.*;

/**
 * Model for testing booleans in FM-Classic.
 *
 * @author  <a href="mailto:run2000@users.sourceforge.net">Nicholas Cull</a>
 * @version $Id: BooleanModel1.java 1101 2013-04-01 04:17:32Z run2000 $
 * @see BooleanModel2
 * @see BooleanModel3
 * @see BooleanModel4
 * @see BooleanModel5
 */
public final class BooleanModel1 implements TemplateScalarModel {

    /** Creates new BooleanModel1. */
    public BooleanModel1() {
    }

    /**
     * Returns the scalar's value as a <code>String</code>.
     *
     * @return the <code>String</code> value of this scalar.
     */
    public String getAsString() throws TemplateModelException {
        return null;
    }

    /**
     * Is the model empty?
     *
     * @return <code>true</code> to indicate the model is empty
     */
    public boolean isEmpty() throws TemplateModelException {
        return true;
    }

}
